Debian Bug report logs - #531783
haskell-network: diff for NMU version 2.2.0.1-4.1

Package: libghc6-network-dev; Maintainer for libghc6-network-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-network-dev is src:haskell-dummy.

Reported by: Simon Horman <horms@debian.org>

Date: Thu, 4 Jun 2009 00:24:01 UTC

Severity: normal

Tags: patch

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#531783; Package haskell-network. (Thu, 04 Jun 2009 00:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Horman <horms@debian.org>:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. (Thu, 04 Jun 2009 00:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@debian.org>
To: submit@bugs.debian.org
Subject: haskell-network: diff for NMU version 2.2.0.1-4.1
Date: Thu, 4 Jun 2009 10:21:56 +1000
[Message part 1 (text/plain, inline)]
Package: haskell-network
Version: 2.2.0.1-4
Severity: normal
Tags: patch

Hi Kari,

On advice from Erik de Castro Lopo, I've prepared an NMU for
haskell-network (versioned as 2.2.0.1-4.1) as it currently appears to be
uninstallable on sid.

It can be found at
http://packages.vergenet.net/sid/pool/main/haskell-network/

Please let me know if it is ok to upload this.

Thanks

[haskell-network-2.2.0.1-4.1-nmu.diff (text/x-diff, attachment)]

Information stored :
Bug#531783; Package haskell-network. (Thu, 04 Jun 2009 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Horman <horms@verge.net.au>:
Extra info received and filed, but not forwarded. (Thu, 04 Jun 2009 00:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 531783-quiet@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@verge.net.au>
To: debian-haskell@lists.debian.org
Cc: Erik de Castro Lopo <mle+hs@mega-nerd.com>, Kari Pahula <kaol@debian.org>, 531783-quiet@bugs.debian.org
Subject: Proposed NMU of haskell-network 2.2.0.1-4.1
Date: Thu, 4 Jun 2009 10:31:57 +1000
Hi,

On advice from Erik de Castro Lopo, I've prepared an NMU for
haskell-network (versioned as 2.2.0.1-4.1) as it currently appears to be
uninstallable on sid.

It can be found at
http://packages.vergenet.net/sid/pool/main/haskell-network/

This proposed NMU has been registered as bug 531783 in the Debian BTS
http://bugs.debian.org/531783

I am unsure of what the general attitude towards NMUs are within
debian-haskell, hence this email to the list.

The changes that I have made are as follows:

diff -u haskell-network-2.2.0.1/debian/changelog haskell-network-2.2.0.1/debian/changelog
--- haskell-network-2.2.0.1/debian/changelog
+++ haskell-network-2.2.0.1/debian/changelog
@@ -1,3 +1,12 @@
+haskell-network (2.2.0.1-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Depend and build-depend on libghc6-parsec3-* instead of libghc6-parsec-*
+  * Bump versioned build-dependency on ghc6 from >= 6.10.1+dfsg1-13 to >= 6.10.3
+  * Bump versioned build^dependancy on haddock from >= 2.4.1-2 to >= 2.4.2
+
+ -- Simon Horman <horms@debian.org>  Wed, 03 Jun 2009 23:08:08 +0000
+
 haskell-network (2.2.0.1-4) unstable; urgency=low
 
   * Use hlibrary.mk from haskell-devscripts and remove the local copy.
diff -u haskell-network-2.2.0.1/debian/control haskell-network-2.2.0.1/debian/control
--- haskell-network-2.2.0.1/debian/control
+++ haskell-network-2.2.0.1/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
 Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5), haddock (>= 2.4.1-4), hscolour, haskell-devscripts (>= 0.6.15+nmu5), ghc6 (>= 6.10.1+dfsg1-13), ghc6-prof, ghc6-doc, libghc6-parsec-dev (>= 3.0.0-4), libghc6-parsec-prof, libghc6-parsec-doc, libghc6-mtl-doc, cdbs
+Build-Depends: debhelper (>= 5), haddock (>= 2.4.2), hscolour, haskell-devscripts (>= 0.6.15+nmu5), ghc6 (>= 6.10.3), ghc6-prof, ghc6-doc, libghc6-parsec3-dev (>= 3.0.0-4), libghc6-parsec3-prof, libghc6-parsec3-doc, libghc6-mtl-doc, cdbs
 
 Package: libghc6-network-dev
 Section: libdevel
@@ -32,7 +32,7 @@
 Section: doc
 Architecture: all
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ghc6-doc, libghc6-parsec-doc
+Recommends: ghc6-doc, libghc6-parsec3-doc
 Suggests: libghc6-network-dev, libghc6-network-prof
 Description: Haskell network library for GHC; documentation
  This package provides the documentation for a library for the Haskell




Information stored :
Bug#531783; Package haskell-network. (Thu, 04 Jun 2009 01:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Horman <horms@verge.net.au>:
Extra info received and filed, but not forwarded. (Thu, 04 Jun 2009 01:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 531783-quiet@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@verge.net.au>
To: debian-haskell@lists.debian.org
Cc: Erik de Castro Lopo <mle+hs@mega-nerd.com>, Kari Pahula <kaol@debian.org>, 531783-quiet@bugs.debian.org
Subject: Re: Proposed NMU of haskell-network 2.2.0.1-4.1
Date: Thu, 4 Jun 2009 11:09:26 +1000
On Thu, Jun 04, 2009 at 10:31:57AM +1000, Simon Horman wrote:
> Hi,
> 
> On advice from Erik de Castro Lopo, I've prepared an NMU for
> haskell-network (versioned as 2.2.0.1-4.1) as it currently appears to be
> uninstallable on sid.
> 
> It can be found at
> http://packages.vergenet.net/sid/pool/main/haskell-network/
> 
> This proposed NMU has been registered as bug 531783 in the Debian BTS
> http://bugs.debian.org/531783
> 
> I am unsure of what the general attitude towards NMUs are within
> debian-haskell, hence this email to the list.
> 
> The changes that I have made are as follows:
> 
> diff -u haskell-network-2.2.0.1/debian/changelog haskell-network-2.2.0.1/debian/changelog
> --- haskell-network-2.2.0.1/debian/changelog
> +++ haskell-network-2.2.0.1/debian/changelog
> @@ -1,3 +1,12 @@
> +haskell-network (2.2.0.1-4.1) unstable; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Depend and build-depend on libghc6-parsec3-* instead of libghc6-parsec-*
> +  * Bump versioned build-dependency on ghc6 from >= 6.10.1+dfsg1-13 to >= 6.10.3
> +  * Bump versioned build^dependancy on haddock from >= 2.4.1-2 to >= 2.4.2

I have fixed this typo: build^dependancy -> build-dependancy




Information stored :
Bug#531783; Package haskell-network. (Thu, 04 Jun 2009 01:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and filed, but not forwarded. (Thu, 04 Jun 2009 01:48:04 GMT) Full text and rfc822 format available.

Message #20 received at 531783-quiet@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Simon Horman <horms@verge.net.au>
Cc: debian-haskell@lists.debian.org, Erik de Castro Lopo <mle+hs@mega-nerd.com>, Kari Pahula <kaol@debian.org>, 531783-quiet@bugs.debian.org
Subject: Re: Proposed NMU of haskell-network 2.2.0.1-4.1
Date: Thu, 4 Jun 2009 11:46:33 +1000
Simon Horman wrote:

> I have fixed this typo: build^dependancy -> build-dependancy

Now you need to do 'dependancy' -> 'dependency' :-).

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information stored :
Bug#531783; Package haskell-network. (Thu, 04 Jun 2009 02:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Horman <horms@verge.net.au>:
Extra info received and filed, but not forwarded. (Thu, 04 Jun 2009 02:36:02 GMT) Full text and rfc822 format available.

Message #25 received at 531783-quiet@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@verge.net.au>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: debian-haskell@lists.debian.org, Erik de Castro Lopo <mle+hs@mega-nerd.com>, Kari Pahula <kaol@debian.org>, 531783-quiet@bugs.debian.org
Subject: Re: Proposed NMU of haskell-network 2.2.0.1-4.1
Date: Thu, 4 Jun 2009 12:33:33 +1000
On Thu, Jun 04, 2009 at 11:46:33AM +1000, Erik de Castro Lopo wrote:
> Simon Horman wrote:
> 
> > I have fixed this typo: build^dependancy -> build-dependancy
> 
> Now you need to do 'dependancy' -> 'dependency' :-).

Fixed :-)




Bug reassigned from package `haskell-network' to `libghc6-network-dev'. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sun, 12 Jul 2009 17:03:03 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Wed, 09 Sep 2009 09:48:10 GMT) Full text and rfc822 format available.

Notification sent to Simon Horman <horms@debian.org>:
Bug acknowledged by developer. (Wed, 09 Sep 2009 09:48:10 GMT) Full text and rfc822 format available.

Message #32 received at 531783-done@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 533531-done@bugs.debian.org, 531246-done@bugs.debian.org, 531783-done@bugs.debian.org
Subject: This package is installable again
Date: Wed, 09 Sep 2009 11:39:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

these bugs are out-dated, as haskell-network is installable again.

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Oct 2009 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:59:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.